package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Aboutpoland extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.aboutpoland); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });
    
    
    final ImageButton train = (ImageButton) findViewById(R.id.train);
   train.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openTram_mapActivity();
        }
    });
   
   final ImageButton bus = (ImageButton) findViewById(R.id.bus);
   bus.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openBus_mapActivity();
        }
    });
   
   final Button numbers = (Button) findViewById(R.id.numbers);
   numbers.setOnClickListener(new Button.OnClickListener() {
        public void onClick(View v) {
        	openP_numbersActivity();
        }
    });
    
  
	final Button climate = (Button) findViewById(R.id.climate);
	climate.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_climateActivity();
	        }
	    });
	
	final Button customs = (Button) findViewById(R.id.customs);
	customs.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_customsActivity();
	        }
	    });
	
	final Button money = (Button) findViewById(R.id.money);
	money.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_moneyActivity();
	        }
	    });
	
	final Button religion = (Button) findViewById(R.id.religion);
	religion.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_religionActivity();
	        }
	    });
	
	final Button safety = (Button) findViewById(R.id.safety);
	safety.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_safetyActivity();
	        }
	    });
	
	final Button health = (Button) findViewById(R.id.health);
	health.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_healthActivity();
	        }
	    });
	
	final Button tipping = (Button) findViewById(R.id.tipping);
	tipping.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_tippingActivity();
	        }
	    });
	
	final Button water = (Button) findViewById(R.id.water);
	water.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_waterActivity();
	        }
	    });
	    
	final Button smoking = (Button) findViewById(R.id.smoking);
	smoking.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_smokingActivity();
	        }
	    });
	
	final Button language = (Button) findViewById(R.id.language);
	language.setOnClickListener(new Button.OnClickListener() {
	        public void onClick(View v) {
	        	openP_languageActivity();
	        }
	    });
	  
		}
	
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
    
    private void openP_numbersActivity() {
    	startActivity(new Intent(this,P_numbers.class));
    }
    
    private void openP_climateActivity() {
    	startActivity(new Intent(this,P_climate.class));
    }
    
    private void openP_customsActivity() {
    	startActivity(new Intent(this,P_customs.class));
    }
    
    private void openP_moneyActivity() {
    	startActivity(new Intent(this,P_money.class));
    }
    
    private void openP_religionActivity() {
    	startActivity(new Intent(this,P_religion.class));
    }
    
    private void openP_safetyActivity() {
    	startActivity(new Intent(this,P_safety.class));
    }
    
    private void openP_healthActivity() {
    	startActivity(new Intent(this,P_health.class));
    }
    
    private void openP_tippingActivity() {
    	startActivity(new Intent(this,P_tipping.class));
    }
    
    private void openP_waterActivity() {
    	startActivity(new Intent(this,P_water.class));
    }
    
    private void openP_smokingActivity() {
    	startActivity(new Intent(this,P_smoking.class));
    }
    
    private void openP_languageActivity() {
    	startActivity(new Intent(this,P_language.class));
    }
	
	
}